def createFileEntity(nom, nomUpperFirstLater, primaryKey, labelle):

    with open("./src/Entity/Model/"+nomUpperFirstLater+".php","x", encoding='utf-8') as file:
        file.write("<?php\n\n")
        file.write("namespace Entity\Model;\n\n")
        file.write("use Helpers\QueryBuilder\QueryBuilder;\n\n")
        file.write("class "+nomUpperFirstLater+" extends QueryBuilder\n")
        file.write("{\n")
        file.write("    protected \PDO $pdo;\n")
        file.write("    protected string $table = '"+nom+" with (nolock)';\n")
        file.write("    protected string $primaryKey = '"+primaryKey+"';\n")
        file.write("    protected string $libelle = '"+labelle+"';\n\n")
        file.write("    public function __construct(\PDO $pdo)\n")
        file.write("    {\n")
        file.write("        $this->pdo = $pdo;\n")
        file.write("    }\n")
        file.write("}\n")
        file.close()

